SNA
エンドポイントリファレンス

モデル一覧取得

provider runtime で利用可能なモデルを調べます。

POST
/agent/list-models

認証

bearerAuth
認証Bearer <token>

In: header

リクエスト本文

application/json

TypeScript 定義

TypeScript で request body 型を使用します。

レスポンス本文

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/list-models" \  -H "Content-Type: application/json" \  -d '{}'
{
  "models": [
    {
      "id": "string",
      "label": "string",
      "provider": "string",
      "source": "static",
      "contextWindow": 0,
      "deprecated": true,
      "notes": "string"
    }
  ],
  "source": "static",
  "fetchedAt": 0,
  "error": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}